de.vc.util.log

## Class FilteredLog

- java.lang.Object
- - de.vc.util.log.FilteredLog

- All Implemented Interfaces:
    org.apache.commons.logging.Log

      public class FilteredLog
      extends java.lang.Object
      implements org.apache.commons.logging.Log

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilteredLog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.Object message)`
    `void` | `debug(java.lang.Object message, java.lang.Throwable t)`
    `void` | `error(java.lang.Object message)`
    `void` | `error(java.lang.Object message, java.lang.Throwable t)`
    `void` | `fatal(java.lang.Object message)`
    `void` | `fatal(java.lang.Object message, java.lang.Throwable t)`
    `org.apache.commons.logging.Log` | `getLog()`
    `void` | `info(java.lang.Object message)`
    `void` | `info(java.lang.Object message, java.lang.Throwable t)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isFatalEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isTraceEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `setLog(org.apache.commons.logging.Log log)`
    `void` | `trace(java.lang.Object message)`
    `void` | `trace(java.lang.Object message, java.lang.Throwable t)`
    `void` | `warn(java.lang.Object message)`
    `void` | `warn(java.lang.Object message, java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilteredLog

          public FilteredLog()

  - ### Method Detail

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `org.apache.commons.logging.Log`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Specified by:
        `isErrorEnabled` in interface `org.apache.commons.logging.Log`

    - #### isFatalEnabled

          public boolean isFatalEnabled()

      Specified by:
        `isFatalEnabled` in interface `org.apache.commons.logging.Log`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `org.apache.commons.logging.Log`

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Specified by:
        `isTraceEnabled` in interface `org.apache.commons.logging.Log`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in interface `org.apache.commons.logging.Log`

    - #### trace

          public void trace(java.lang.Object message)

      Specified by:
        `trace` in interface `org.apache.commons.logging.Log`

    - #### trace

          public void trace(java.lang.Object message,
                   java.lang.Throwable t)

      Specified by:
        `trace` in interface `org.apache.commons.logging.Log`

    - #### debug

          public void debug(java.lang.Object message)

      Specified by:
        `debug` in interface `org.apache.commons.logging.Log`

    - #### debug

          public void debug(java.lang.Object message,
                   java.lang.Throwable t)

      Specified by:
        `debug` in interface `org.apache.commons.logging.Log`

    - #### info

          public void info(java.lang.Object message)

      Specified by:
        `info` in interface `org.apache.commons.logging.Log`

    - #### info

          public void info(java.lang.Object message,
                  java.lang.Throwable t)

      Specified by:
        `info` in interface `org.apache.commons.logging.Log`

    - #### warn

          public void warn(java.lang.Object message)

      Specified by:
        `warn` in interface `org.apache.commons.logging.Log`

    - #### warn

          public void warn(java.lang.Object message,
                  java.lang.Throwable t)

      Specified by:
        `warn` in interface `org.apache.commons.logging.Log`

    - #### error

          public void error(java.lang.Object message)

      Specified by:
        `error` in interface `org.apache.commons.logging.Log`

    - #### error

          public void error(java.lang.Object message,
                   java.lang.Throwable t)

      Specified by:
        `error` in interface `org.apache.commons.logging.Log`

    - #### fatal

          public void fatal(java.lang.Object message)

      Specified by:
        `fatal` in interface `org.apache.commons.logging.Log`

    - #### fatal

          public void fatal(java.lang.Object message,
                   java.lang.Throwable t)

      Specified by:
        `fatal` in interface `org.apache.commons.logging.Log`

    - #### setLog

          public void setLog(org.apache.commons.logging.Log log)

    - #### getLog

          public org.apache.commons.logging.Log getLog()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.